# Uses of Enum Class
org.bukkit.Instrument

Packages that use Instrument
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.block.data.type
Specific BlockData classes relevant to only a given block or set of blocks.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.block
`Events` relating to when a `block` is changed or interacts with the `world`.

## Uses of Instrument in org.bukkit

Methods in org.bukkit that return Instrument
Modifier and Type
Method
Description
`static @Nullable Instrument`
Instrument.`getByType(byte type)`
Deprecated.
Magic value
`static Instrument`
Instrument.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Instrument[]`
Instrument.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Instrument in org.bukkit.block.data.type

Methods in org.bukkit.block.data.type that return Instrument
Modifier and Type
Method
Description
`@NotNull Instrument`
NoteBlock.`getInstrument()`
Gets the value of the 'instrument' property.
Methods in org.bukkit.block.data.type with parameters of type Instrument
Modifier and Type
Method
Description
`void`
NoteBlock.`setInstrument(@NotNull Instrument instrument)`
Sets the value of the 'instrument' property.

## Uses of Instrument in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type Instrument
Modifier and Type
Method
Description
`void`
Player.`playNote(@NotNull Location loc, @NotNull Instrument instrument, @NotNull Note note)`
Play a note for a player at a location.

## Uses of Instrument in org.bukkit.event.block

Methods in org.bukkit.event.block that return Instrument
Modifier and Type
Method
Description
`@NotNull Instrument`
NotePlayEvent.`getInstrument()`
Gets the `Instrument` to be used.
Methods in org.bukkit.event.block with parameters of type Instrument
Modifier and Type
Method
Description
`void`
NotePlayEvent.`setInstrument(@NotNull Instrument instrument)`
Overrides the `Instrument` to be used.
Constructors in org.bukkit.event.block with parameters of type Instrument
Modifier
Constructor
Description
``
`NotePlayEvent(@NotNull Block block, @NotNull Instrument instrument, @NotNull Note note)`